> ## Name

> cgGetNamedTechnique - get an effect's technique by name

> ## Synopsis

>     #include <Cg/cg.h>

>     CGtechnique cgGetNamedTechnique( CGeffect effect,
>                                      const char * name );

> ## Parameters

> effect
>   The effect from which to retrieve the technique.
> name
>   The name of the technique to retrieve.

> ## Return Values

> Returns the named technique from the effect.

> Returns NULL if the effect has no technique corresponding to name.

> ## Description

> The techniques of an effect can be retrieved directly by name using cgGetNamedTechnique. The names of the techniques in a effect can be discovered by iterating through the effect's techniques (see cgGetFirstTechnique and cgGetNextTechnique), calling cgGetTechniqueName for each one in turn.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

> ## History

> cgGetNamedTechnique was introduced in Cg 1.4.

> ## See Also

> cgGetFirstTechnique, cgGetNextTechnique, cgGetTechniqueName